nix3-nar-cat(1)

    Warning
    This program is experimental and its interface is subject to change.

Name
nix nar cat - print the contents of a file inside a NAR file on stdout

Synopsis
nix nar cat [option…] nar path

Examples

•   List a file in a NAR and pipe it through gunzip:

    # nix nar cat ./hello.nar /share/man/man1/hello.1.gz | gunzip
    .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.46.4.
    .TH HELLO "1" "November 2014" "hello 2.10" "User Commands"
    …

Description
This command prints on standard output the contents of the regular file path inside the NAR file nar.